/// <reference types="node" />
import * as fs from 'fs-extra';
import { IContext } from '.';
import { AsyncWrite } from './async_writer';
export declare class FilePerContentTypeRunner {
    outDir: string;
    header: string;
    footer: string;
    streams: Array<{
        stream: fs.WriteStream;
        writer: AsyncWrite;
        fileName: string;
    }>;
    constructor(outDir: string, header: string, footer: string);
    init(): Promise<void>;
    run(keys: string[], run: (id: string, write: AsyncWrite, context: IContext) => Promise<void>): Array<Promise<void>>;
    close(): Promise<string[]>;
    private makeWriter;
}
